Imports System.Runtime.Serialization

Namespace Methods.IDB.GetFileInfo
    <Serializable>
    <DataContract>
    Public Class GetFileInfoResponse
        Inherits Messages.BaseResponse

        <DataMember>
        Public Property ObjectId As Long

        <DataMember>
        Public Property FileInfo As FileInfo

        Public Sub New(pFileInfo As FileInfo)
            MyBase.New()
            FileInfo = pFileInfo
        End Sub

        Public Sub New(pException As Exception, Optional pDetails As String = "")
            MyBase.New(pException, pDetails)
        End Sub
    End Class
End Namespace
